店舗分類更新
PATCH
/store_classes/{store_class_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"storeClassName":"string","displaySequence":"123456789"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "storeClassName": "string", "displaySequence": "123456789" }'店舗分類情報を更新します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_class_id
required
string
店舗分類ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
storeClassName
分類ラベル
string
displaySequence
表示順
string format: int
Example
{ "storeClassName": "string", "displaySequence": "123456789"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
storeClassId
店舗分類ID:
string
storeClassName
分類ラベル:
string
displaySequence
表示順:
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
{ "storeClassId": "string", "storeClassName": "string", "displaySequence": "string", "insDateTime": "string", "updDateTime": "string"}入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "string", "title": "string", "detail": "string", "status": 400}店舗分類IDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "string", "title": "string", "detail": "string", "status": 400}